// Auroras by nimitz 2017 (twitter: @stormoid)

highp float tri(highp float x){return clamp(abs(fract(x)-.5),0.001,0.52);}

highp float triNoise2d(highp vec2 p)
{
highp float z=1.8;
highp float z2=2.5;
highp float rz = 0.0;
p *= 0.55*(p.x*0.2);
highp vec2 bp = p;
for (float i=0.0; i<5.0; i++ )
{
highp vec2 dg = (bp*1.85)*0.75;
dg *= 6.0;
p -= dg/z2;
bp *= 1.3;
z2 *= 0.45;
z *= 0.42;
p *= 1.21 + (rz-1.0)*0.02;
rz += tri(p.x+tri(p.y))*z;
p*= -1.0;
}
return clamp(1.0/pow(rz*29.0, 1.3),0.0,0.55);
}

highp vec4 aurora(highp vec3 rd)
{
highp vec4 col = vec4(0.0);
highp float of = 0.006*fract(sin(0.96));
highp float b = rd.y*2.0+0.4;
highp vec3 c = vec3(sin(TIME*0.01)*0.5+1.5-vec3(2.15,-0.5,1.2));
for(float i=0.0;i<8.0;i++)
{
highp float pt = (0.8+pow(i+1.0,2.5)*0.002)/b;
highp vec3 bpos = vec3(0.0,0.0,-6.5) + (pt-of)*rd;
highp float rzt = triNoise2d(bpos.zx);
highp vec4 col2 = vec4(vec3((sin(c+i*0.2)*0.5+0.5)*rzt),rzt);
col += col2*0.5*exp2(-i*0.065-2.5)*smoothstep(0.0,5.0,i);
}
return col*(clamp(rd.y*15.0+0.4,0.0,1.0))*6.0;
}