//Star By liutp
//https://www.shadertoy.com/view/wsKXDm

vec2 rand2(vec2 p)
{
p = vec2(dot(p, vec2(12.9898,78.233)), dot(p, vec2(26.65125, 83.054543))); 
return fract(sin(p) * 43758.5453);
}

float rand(vec2 p)
{
return fract(sin(dot(p.xy ,vec2(54.90898,18.233))) * 4337.5453);
}

float stars(in vec2 x, float numCells, float size, float br)
{
vec2 n = x * numCells;
vec2 f = floor(n);
float d = 1.0e10;
for (int i = -1; i <= 1; ++i)
{
for (int j = -1; j <= 1; ++j)
{
vec2 g = f + vec2(float(i), float(j));
g = n - g - rand2(mod(g, numCells)) + rand(g);
// Control size
g *= 1. / (numCells * size);
d = min(d, dot(g, g));
}}
return br * (smoothstep(.95, 1., (1. - sqrt(d))));
}

#define StarsNum 50. //number of stars
#define StarsSize 0.035 //size of stars
#define StarsBright 7.0	//Bright of stars
