//Caustic By Dave_Hoskins
//https://www.shadertoy.com/view/MdlXz8

highp float caustic(highp vec3 position){
highp float SCALE = 0.5;
highp float TAU = 6.283;
int MAX_ITER = 3;

highp float time = TIME * 0.5+23.0;
highp vec2 uv;

if (fract( position.y ) > 0.0){
if (fract( position.x ) > 0.0){
uv = (position.xy - 8.0) * SCALE;
} else {
uv = (position.yz - 8.0) * SCALE;
}}else {
uv = (position.xz - 8.0) * SCALE;
}
  	
highp vec2 p;
highp vec2 i;
p = i = mod( uv * TAU, TAU)-250.0;

highp float c = 1.0;
highp float inten = .005;
highp float t;

for (int n = 0; n < MAX_ITER; n++) 
{
t = time * (1.0 - (3.5 / float(n+1)));
i = p + vec2(cos(t - i.x) + sin(t + i.y), sin(t - i.y) + cos(t + i.x));
c += 1.0 / length( vec2( p.x / ( sin( i.x+t ) / inten ), p.y / ( cos( i.y + t ) / inten ) ) );
}
c /= float(MAX_ITER);
c = 1.17-pow(c, 1.4);
return clamp(pow(abs(c), 8.0), 0.0, 0.7 ) * max(sqrt(uv1.y), 0.4) * ( 1.0 - uv1.x );
}