highp float Water_Test2(highp vec3 p, highp float time){
return sin(noise(vec2(time*1.5+p.y+p.z+p.z+p.z+p.x*2.0,time*1.2+p.y+p.x+p.x+p.x+p.z*1.1+p.x+p.z+p.x+p.z*1.0)))+acos(noise(vec2(time*0.5+p.y+p.z+p.z+p.z+p.x*2.0,time*1.2+p.y+p.x+p.x+p.x+p.z*1.1+p.x+p.z+p.x+p.z*1.0)));
}

vec3 watertep(const int x, const int y, in vec3 pos, highp float time){
pos.xz = (pos.xz + vec2(x, y)*0.01);
vec3 watertep_type =vec3(0.0);
watertep_type =vec3(Water_Test2(pos,time));
return watertep_type;
}

vec3 water_normal(vec3 pos,highp float time){
float R = abs(luminance(watertep( 1,0, pos,time)));
float L = abs(luminance(watertep(-1,0, pos,time)));
float D = abs(luminance(watertep(0, 1, pos,time)));
float U = abs(luminance(watertep(0,-1, pos,time)));
				 
float X = (L-R) * 0.5;
float Y = (U-D) * 0.5;

return normalize(vec3(X, Y, 1.0 / WATER_NORMALMAP_DEPTH));
}