/*—————¦KSPE Shaders¦—————*/
//KSPE Renewed custom Setting file

/*—————¦Agreement¦—————*/
/* Please read the agreement:

1.The modified color customization is designed to allow users to customize their own color style.
2.The modified color pack can only be used by the user himself, or by sharing the two "Color.txt" and "Setting.txt" files.
3.It is strictly forbidden to package and publish the modified color in its entirety, or to integrate it into any material and publish it. */

/*—————¦Modification¦—————*/
/* Modification Notes:
1. The option is "#define XXX" Do not delete symbols or letters in the options!
2. Switch options Please add or remove double slashes (//) to turn the effect on or off!
3. Remember to save the file first and then enter the game to see the effect after changing it. No change to 100 million without saving! */

/*—————¦Example¦—————*/
/* Modified example:

switch options
player shadow switch
//#define PLAYER_SHADOW
change into:
player shadow switch
#define PLAYER_SHADOW
Turn on player shadows.

If there is a problem, please refer to "Help.txt" */

/*—————¦Content¦—————*/
//●Lighting
//●Shadow
//●Light source
//●Reflection
//●Water
//●Fog
//●Sky
//●Cloud
//●Sky
//●Weather
//●Other

/*—————¦feature Settting¦—————*/


//Light:
#define WORLD_COLOR
//Coloring the world in the Overworld, Underwater, Nether, and TheEnd


//External Light Color:
#define WORLD_LIGHT_COLOR
//Staining on the light emanating from the block


//Fog:
#define WORLD_FOG_COLOR
//The fog is now getting closer and also has fog in the groun


//Auto Exposure Beta:
//#define AUTO_EXPOSURE
//An effect when the player goes to a dark place, the bright place will get brighter


//Exposure Tweaking:
//#define EXPOSURE_TWEAKING
//Slight changes to light and feature has bugs in fog

//Shadow:
#define SHADOW
//Features shadows on the sides of the block and below the block

#define PLAYER_SHADOW
//Player shadow feature


//Grayscale:
//#define GRAYSCALE
//Increase brightness in games


//Tonemap:
#define TONEMAP
//Tone mapping is a technique used in image processing and computer graphics to map one set of colors to another to approximate the appearance of high-dynamic-range images in a medium that has a more limited dynamic range


//Saturation:
#define SATURATION
//Color the world more colorful


//Normalmap
//#define NORMALMAP
//3D effect on blocks


//Sun Beam:
#define SUN_BEAM
//Effects of sunlight in the morning, TheEnd, and Underwater


//Fake Sun Bloom:
//#define SUN_BLOOM
//The effect of light around the sun


//Water
#define WATER_COLOR
//Coloring on the surface of the water during the day, night, and rain

#define WATER_WAVE
//Waves on water

#define CAUSTIC_EFFECT
//Caustic effect

#define UNDERWATER_WAVE
//Make Underwater Wave

#define WATER_ANIMATION_SPEED 1.0
//The higher the number the faster the animation and the lower the number the slower the animation.

#define WATER_NORMALMAP_DEPTH 5.0
//A high number will make the depth deeper.


//Plants
#define PLANTS_WAVE
//Make Planty Wave

#define PLANTS_ANIMATION_SPEED 1.0
//The higher the number the faster the animation and the lower the number the slower the animation.


//Reflection:
#define SUN_REFLECTION
//Reflection of the sun on an object

#define WET_EFFECT
//The effect of water on the floor

#define MUDDY_EFFECT
//Muddy effect on the floor

#define REFLECTION
//Reflection effect on block


//Ripples:
#define RIPPLES
//Water ripple effect on the floor


//Screen:
#define VIGNETTE
//Black effect on the edge of the screen


//Cloud:
#define CLOUD_ANIMATION_SPEED 0.01
//The higher the number the faster the animation and the lower the number the slower the animation.


//Aurora:
//#define AURORA
//Added aurora in the sky and water surfac


//Sky Desaturation
#define SKY_DESATURATION 0.10
//Lowers the coloration of the sky. The higher the number, the whiter the sky.