highp vec3 spatter(highp vec2 Gan){
highp vec3 q = vec3(dot(Gan,vec2(127.1,311.7)),dot(Gan,vec2(269.5,183.3)),dot(Gan,vec2(419.2,371.9)));
return fract(sin(q)*43758.5453);
}

float RD (vec2 uv){
vec2 a = floor(uv);
vec2 b = fract(uv);
const float pvp = 1.9;
float va = 0.0;
for(float lop = -1.0; lop <= pvp; lop++)
for(float lopp = -1.0; lopp <= pvp; lopp++){
vec2 c = vec2(float(lopp),float(lop));
vec3 d = spatter(a + c);
vec2 e = c - b - d.xy;
float f = sqrt(dot(e,e));
float RDD = max(mix(smoothstep(0.59,1.09,max(cos(f - TIME*4.0 + (d.x + d.y)*10.0),0.0)),0.0,f),0.0);
va += RDD;
}
return va;
}

// Source : https://www.geeks3d.com/20110316/shader-library-simple-2d-effects-sphere-and-ripple-in-glsl/
// By PioDiamond

float rWater( vec2 uv, float timer ) {
	vec2 p = -1.0 + 2.0 * uv; 
	float len = length( p ); 
	float r;
	float dist;
	if( len < 0.5 ){
		dist = ( 0.5 - abs( 0.5 - len * 2.0 ) );	
	  uv = ( p / len ) * cos( len * 25.0 - TIME * 15.0 ) * 0.5; 
	  r = uv.x * dist * sin( TIME * 3.0 + timer );
	  r = max( 0.0, r );
	}
	else{
		r = 0.0;
	}
	return r;
}

float splash( vec2 pos ){
	float rWs = rWater( pos + vec2( 0.5, 0.5 ), 2.0 );
	rWs = max( rWs, rWater( pos + vec2( 0.5, 0.5 ), 2.0 ) );
	rWs = max( rWs, rWater( pos + vec2( -0.5, 0.5 ), 2.0 ) );
	rWs = max( rWs, rWater( pos + vec2( 0.5, -0.5 ), 2.0 ) );
	rWs = max( rWs, rWater( pos - vec2( 0.5, 0.5 ), 2.0 ) );
	
	rWs = max( rWs, rWater( pos + vec2( 0.3, 0.2 ), 0.5 ) );
	rWs = max( rWs, rWater( pos + vec2( 0.2, -0.3 ), 2.5 ) );
	rWs = max( rWs, rWater( pos + vec2( -0.3, 0.1 ), 1.5 ) );
	rWs = max( rWs, rWater( pos - vec2( 0.2, 0.1 ), 3.5 ) );
	
	return rWs;
}

highp float puddle(vec2 uv){
uv *= 1.1;
highp float getShp = clamp(smoothstep (0.58,0.22,noise(uv)),0.0,1.0);
return getShp;
}