// Noise And Fbm By Morgan McGuire @morgan3d, http://graphicscodex.com
//https://www.shadertoy.com/view/4dS3Wd

highp float clouds(highp vec2 x) {
	highp float v = 0.0;
	highp float a = 0.65;
	highp vec2 shift = vec2(4000);

	// Rotate to reduce axial bias
    mat2 rot = mat2(cos(4.8), sin(3.8), -sin(1.8), cos(1.8));
	for (int i = 0; i < NUM_NOISE_OCTAVES; ++i) {
	    x /=1.02;
		v += a * noise(x);
		x = rot * x * 2.4 + shift;
		a *= 0.6;
	}
highp float den = smoothstep(0.3,1.2,v);
highp float r = v-(1.-den);
if(r<0.0)
r = 0.0;
v = 1.0-pow(0.09, r);
	return v;
}

highp float clouds2(highp vec2 x) {
	highp float v = 0.0;
	highp float a = 0.5;
	highp vec2 shift = vec2(4000);

	// Rotate to reduce axial bias
    mat2 rot = mat2(cos(4.8), sin(3.8), -sin(1.8), cos(1.8));
	for (int i = 0; i < NUM_NOISE_OCTAVES; ++i) {
	    x /=1.02;
		v += a * noise(x);
		x = rot * x * 2.4 + shift;
		a *= 0.6;
	}
highp float den = smoothstep(0.6,1.2,v);
highp float r = v-(1.-den);
if(r<0.0)
r = 0.0;
v = 1.0-pow(0.09, r);
	return v;
}
highp float clouds3(highp vec2 x) {
	highp float v = 0.0;
	highp float a = 0.5;
	highp vec2 shift = vec2(4000);

	// Rotate to reduce axial bias
    mat2 rot = mat2(cos(4.8), sin(3.8), -sin(1.8), cos(1.8));
	for (int i = 0; i < NUM_NOISE_OCTAVES; ++i) {
	    x /=1.02;
		v += a * noise(x);
		x = rot * x * 2.4 + shift;
		a *= 0.6;
	}
highp float den = smoothstep(0.6,1.2,v);
highp float r = v-(1.-den);
if(r<0.0)
r = 0.0;
v = 1.0-pow(0.09, r);
	return v;
}